package mocks

import (
	"github.com/fiskerinc/cloud-services/pkg/common"
	"github.com/fiskerinc/cloud-services/pkg/db/queries"
	"github.com/go-pg/pg/v10/orm"
)

type MockTags struct {
	queries.QueryBase
	ReceivedTags []string
	DBMockHelper
}

func (t *MockTags) Update(car *common.Car) (orm.Result, error) {
	t.ReceivedTags = car.Tags
	return t.ORMResponse, nil
}

func (t *MockTags) UpdateDistinctTags(car *common.Car) (orm.Result, error) {
	t.ReceivedTags = car.Tags
	return t.ORMResponse, nil
}
